Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.containers
Class ImplementationHidingWithDefaultPicoContainerTestCase

    java.lang.Object
      org.picocontainer.tck.AbstractPicoContainerTest
          org.picocontainer.tck.AbstractImplementationHidingPicoContainerTest
              org.picocontainer.containers.ImplementationHidingWithDefaultPicoContainerTestCase

    public class ImplementationHidingWithDefaultPicoContainerTestCase

extends AbstractImplementationHidingPicoContainerTest

Author:
  Aslak Hellesøy

Nested Class Summary

Nested classes/interfaces inherited from class org.picocontainer.tck.AbstractImplementationHidingPicoContainerTest
`AbstractImplementationHidingPicoContainerTest.Burp`

Nested classes/interfaces inherited from class org.picocontainer.tck.AbstractPicoContainerTest
`AbstractPicoContainerTest.ComponentA, AbstractPicoContainerTest.ComponentB, AbstractPicoContainerTest.ComponentC, AbstractPicoContainerTest.ComponentD, AbstractPicoContainerTest.ComponentE, AbstractPicoContainerTest.ComponentF, AbstractPicoContainerTest.ContainerDependency, AbstractPicoContainerTest.DerivedTouchable, AbstractPicoContainerTest.JMSService, AbstractPicoContainerTest.LifeCycleMonitoring, AbstractPicoContainerTest.ListAdder, AbstractPicoContainerTest.NeedsTouchable, AbstractPicoContainerTest.NeedsWashable, AbstractPicoContainerTest.NonGreedyClass, AbstractPicoContainerTest.RecordingStrategyVisitor, AbstractPicoContainerTest.TestBehavior, AbstractPicoContainerTest.TestLifecycleComponent`

Constructor Summary
`ImplementationHidingWithDefaultPicoContainerTestCase()`

Method Summary
`protected void` | `addDefaultComponentFactories(List expectedList)`
`protected org.picocontainer.MutablePicoContainer` | `createImplementationHidingPicoContainer()`
`protected org.picocontainer.MutablePicoContainer` | `createPicoContainer(org.picocontainer.PicoContainer parent)`
`protected Properties[]` | `getProperties()`
`void` | `testAcceptImplementsBreadthFirstStrategy()`
`void` | `testAggregatedVerificationException()`
`void` | `testSameInstanceCanBeUsedAsDifferentTypeWhenCaching()`

Methods inherited from class org.picocontainer.tck.AbstractImplementationHidingPicoContainerTest
`testExceptionThrowingFromHiddenComponent, testImplementaionIsAutomaticallyHidden, testImplementaionWithParametersIsAutomaticallyHidden, testInstanceIsNotAutomaticallyHidden, testNonInterfaceImplementaionIsAutomaticallyHidden, testNonInterfaceImplementaionWithParametersIsAutomaticallyHidden, testSerializedContainerCanRetrieveImplementation`

Methods inherited from class org.picocontainer.tck.AbstractPicoContainerTest
`addContainers, createPicoContainerWithDependsOnTouchableOnly, createPicoContainerWithTouchableAndDependsOnTouchable, testAcceptIsAbortable, testAmbiguousDependencies, testAmbiguousResolution, testBasicInstantiationAndContainment, testComponentAdapterRegistrationOrderIsMaintained, testComponentInstancesFromParentsAreNotDirectlyAccessible2, testContainerCascadesDefaultLifecycle, testContainerIsSerializable, testCyclicDependencyThrowsCyclicDependencyException, testCyclicDependencyThrowsCyclicDependencyExceptionWithParentContainer, testDuplicateRegistration, testExternallyInstantiatedObjectsCanBeRegisteredAndLookedUp, testGettingComponentWithMissingDependencyFails, testLookupWithUnregisteredKeyReturnsNull, testLookupWithUnregisteredTypeReturnsNull, testMakingOfChildContainer, testMakingOfChildContainerPercolatesLifecycleManager, testNoArgConstructorToBeSelected, testPico52, testRegisterComponentWithObjectBadType, testRegisteredComponentsExistAndAreTheCorrectTypes, testRegistersSingleInstance, testRemovalNonRegisteredComponentAdapterWorksAndReturnsNull, testShouldCascadeStartStopAndDisposeToChild, testShouldReturnNonMutableParent, testShouldReturnNullForComponentAdapterOfUnregisteredType, testShouldReturnNullWhenUnregistereingUnmanagedComponent, testStartStopAndDisposeCascadedtoChildren, testStartStopAndDisposeNotCascadedtoRemovedChildren, testUnsatisfiableDependenciesExceptionGivesUnsatisfiedDependencyTypes, testUnsatisfiableDependenciesExceptionGivesVerboseEnoughErrorMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplementationHidingWithDefaultPicoContainerTestCase

    public ImplementationHidingWithDefaultPicoContainerTestCase()

Method Detail

### createImplementationHidingPicoContainer

    protected org.picocontainer.MutablePicoContainer createImplementationHidingPicoContainer()

  Specified by:
    `createImplementationHidingPicoContainer` in class `AbstractImplementationHidingPicoContainerTest`

### getProperties

    protected Properties[] getProperties()

  Specified by:
    `getProperties` in class `AbstractPicoContainerTest`

### addDefaultComponentFactories

    protected void addDefaultComponentFactories(List expectedList)

  Overrides:
    `addDefaultComponentFactories` in class `AbstractPicoContainerTest`

### createPicoContainer

    protected org.picocontainer.MutablePicoContainer createPicoContainer(org.picocontainer.PicoContainer parent)

  Specified by:
    `createPicoContainer` in class `AbstractPicoContainerTest`

### testAggregatedVerificationException

    public void testAggregatedVerificationException()

  Overrides:
    `testAggregatedVerificationException` in class `AbstractPicoContainerTest`

### testSameInstanceCanBeUsedAsDifferentTypeWhenCaching

    public void testSameInstanceCanBeUsedAsDifferentTypeWhenCaching()

  Overrides:
    `testSameInstanceCanBeUsedAsDifferentTypeWhenCaching` in class `AbstractPicoContainerTest`

### testAcceptImplementsBreadthFirstStrategy

    public void testAcceptImplementsBreadthFirstStrategy()

  Overrides:
    `testAcceptImplementsBreadthFirstStrategy` in class `AbstractPicoContainerTest`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.